/****************************************************************************
** Image collection for project 'qstars'.
**
** Generated from reading image files: 
**      qstars.png
**
** Created by The User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include <qimage.h>
#include <qdict.h>
#include <qmime.h>
#include <qdragobject.h>

// qstars.png
static const unsigned char image_0_data[] = {
    0x00,0x00,0x04,0x00,0x78,0x9c,0xd5,0x93,0x41,0x0e,0xc0,0x20,0x08,0x04,
    0x79,0x3a,0x4f,0xf1,0xd0,0x87,0xec,0x43,0xfc,0x4b,0x1b,0x49,0x69,0x10,
    0x85,0x5a,0x6f,0x35,0xd9,0x83,0x66,0x67,0x9a,0x10,0x0a,0x80,0x00,0x10,
    0x11,0x9d,0x51,0x70,0x77,0x66,0xd1,0x4e,0xad,0xb5,0xcb,0x51,0xca,0x93,
    0xcc,0xd3,0xde,0xf5,0x78,0xc7,0x8a,0xa7,0xdd,0x99,0x59,0xb2,0xe3,0x51,
    0x9e,0x38,0xf7,0x58,0xde,0x7b,0x94,0x97,0xa0,0xf7,0xd8,0x7e,0x7b,0x4b,
    0x79,0xf4,0xf9,0x0b,0xaf,0x33,0xda,0xe1,0x67,0x3b,0xb4,0xc2,0xdb,0x3d,
    0x50,0xd6,0x7b,0x3c,0x1f,0xed,0xf4,0xf0,0x7d,0xd3,0xf1,0x73,0x92,0x59,
    0x25,0xbb,0x3c,0xf3,0x58,0xee,0xed,0x7f,0xf2,0x9e,0x2f,0x5c,0xe4,0xc9,
    0x3a,0x17,0xba,0xa0,0x4e,0xa9
};

static struct EmbedImage {
    int width, height, depth;
    const unsigned char *data;
    ulong compressed;
    int numColors;
    const QRgb *colorTable;
    bool alpha;
    const char *name;
} embed_image_vec[] = {
    { 16, 16, 32, (const unsigned char*)image_0_data, 132, 0, 0, TRUE, "qstars.png" },
    { 0, 0, 0, 0, 0, 0, 0, 0, 0 }
};

static QImage uic_findImage( const QString& name )
{
    for ( int i=0; embed_image_vec[i].data; i++ ) {
	if ( QString::fromUtf8(embed_image_vec[i].name) == name ) {
	    QByteArray baunzip;
	    baunzip = qUncompress( embed_image_vec[i].data, 
		embed_image_vec[i].compressed );
	    QImage img((uchar*)baunzip.data(),
			embed_image_vec[i].width,
			embed_image_vec[i].height,
			embed_image_vec[i].depth,
			(QRgb*)embed_image_vec[i].colorTable,
			embed_image_vec[i].numColors,
			QImage::BigEndian
		);
	    img = img.copy();
	    if ( embed_image_vec[i].alpha )
		img.setAlphaBuffer(TRUE);
	    return img;
        }
    }
    return QImage();
}

class MimeSourceFactory_qstars : public QMimeSourceFactory
{
public:
    MimeSourceFactory_qstars() {}
    ~MimeSourceFactory_qstars() {}
    const QMimeSource* data( const QString& abs_name ) const {
	const QMimeSource* d = QMimeSourceFactory::data( abs_name );
	if ( d || abs_name.isNull() ) return d;
	QImage img = uic_findImage( abs_name );
	if ( !img.isNull() )
	    ((QMimeSourceFactory*)this)->setImage( abs_name, img );
	return QMimeSourceFactory::data( abs_name );
    };
};

static QMimeSourceFactory* factory = 0;

void qInitImages_qstars()
{
    if ( !factory ) {
	factory = new MimeSourceFactory_qstars;
	QMimeSourceFactory::defaultFactory()->addFactory( factory );
    }
}

void qCleanupImages_qstars()
{
    if ( factory ) {
	QMimeSourceFactory::defaultFactory()->removeFactory( factory );
	delete factory;
	factory = 0;
    }
}

class StaticInitImages_qstars
{
public:
    StaticInitImages_qstars() { qInitImages_qstars(); }
#if defined(Q_OS_SCO) || defined(Q_OS_UNIXWARE)
    ~StaticInitImages_qstars() { }
#else
    ~StaticInitImages_qstars() { qCleanupImages_qstars(); }
#endif
};

static StaticInitImages_qstars staticImages;
